質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.33%

  • Python

    9272questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

nltkを用いた係り受け解析

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 319

kohekoh

score 122

nltkでの係り受け解析をしたいと思っています

その過程で

dep_parser = nltk.parse.corenlp.CoreNLPDependencyParser(url='http://localhost:9000')

parse = dep_parser.raw_parse('The quick brown fox jumps over the lazy dog.')


のように入力すると

Traceback (most recent call last):
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\util\connection.py", line 83, in create_connection
    raise err
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\util\connection.py", line 73, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connectionpool.py", line 357, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\http\client.py", line 1107, in request
    self._send_request(method, url, body, headers)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\http\client.py", line 1152, in _send_request
    self.endheaders(body)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\http\client.py", line 1103, in endheaders
    self._send_output(message_body)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\http\client.py", line 934, in _send_output
    self.send(msg)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\http\client.py", line 877, in send
    self.connect()
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connection.py", line 166, in connect
    conn = self._new_conn()
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connection.py", line 150, in _new_conn
    self, "Failed to establish a new connection: %s" % e)
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x0000023FF3EF9BA8>: Failed to establish a new connection: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\requests\adapters.py", line 440, in send
    timeout=timeout
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\urllib3\util\retry.py", line 388, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='localhost', port=9000): Max retries exceeded with url: /?properties=%7B%22ssplit.ssplit.eolonly%22%3A+%22true%22%2C+%22annotators%22%3A+%22tokenize%2Cpos%2Clemma%2Cssplit%2Cdepparse%22%2C+%22tokenize.whitespace%22%3A+%22false%22%2C+%22outputFormat%22%3A+%22json%22%7D (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x0000023FF3EF9BA8>: Failed to establish a new connection: [WinError 10061]  対象のコンピューターによって拒否されたため、接続できませんでした。',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\nltk\parse\corenlp.py", line 228, in raw_parse
    **kwargs
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\nltk\parse\corenlp.py", line 290, in raw_parse_sents
    parsed_data = self.api_call('\n'.join(sentences), properties=default_properties)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\nltk\parse\corenlp.py", line 248, in api_call
    timeout=60,
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\requests\sessions.py", line 555, in post
    return self.request('POST', url, data=data, json=json, **kwargs)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\requests\sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\requests\sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "C:\Users\ーザ名\Anaconda3\envs\py3.5\lib\site-packages\requests\adapters.py", line 508, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='localhost', port=9000): Max retries exceeded with url: /?properties=%7B%22ssplit.ssplit.eolonly%22%3A+%22true%22%2C+%22annotators%22%3A+%22tokenize%2Cpos%2Clemma%2Cssplit%2Cdepparse%22%2C+%22tokenize.whitespace%22%3A+%22false%22%2C+%22outputFormat%22%3A+%22json%22%7D (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x0000023FF3EF9BA8>: Failed to establish a new connection: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。',))

のようなエラーを吐きます

この特に
「ConnectionRefusedError: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。」
というエラーについて調べて、対処をしているのですが、うまくいきません

ちなみに、やった方法として
ファイアウォールの設定を無効にして、やってみましたが、できませんでした

どうすればよいでしょうか

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+1

localhostでStanford CoreNLPのサーバを立てておく必要があるのでしょう。

参考:
CoreNLP を使ってみる(1) - astamuse Lab

立てても駄目ならファイアウォールなど絡みを見直すしかありません。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/04/18 12:31

    よくわからないので
    リナックス環境でシンプルにcorenlpを使うことにしました…

    キャンセル

  • 2018/04/18 15:01

    それはそれで一つの選択肢だと思います

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.33%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Python

    9272questions

    Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。